# Class FQZGlobalFlags

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZGlobalFlags

public class FQZGlobalFlags extends Object
Global flags byte for the FQZComp codec, read from the first byte after the version number in the FQZComp parameter header. Controls whether multiple parameter blocks are present, whether a selector table maps records to parameter blocks, and whether quality scores should be reversed for reverse-complemented reads.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DO_REVERSE_FLAG_MASK`
`static final int`
`MULTI_PARAM_FLAG_MASK`
`static final int`
`SELECTOR_TABLE_FLAG_MASK`

## Constructor Summary

Constructors
Constructor
Description
`FQZGlobalFlags(ByteBuffer inBuffer)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`doReverse()`
`boolean`
`hasSelectorTable()`
`boolean`
`isMultiParam()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MULTI_PARAM_FLAG_MASK

public static final int MULTI_PARAM_FLAG_MASK

See Also:
  - Constant Field Values

### SELECTOR_TABLE_FLAG_MASK

public static final int SELECTOR_TABLE_FLAG_MASK

See Also:
  - Constant Field Values

### DO_REVERSE_FLAG_MASK

public static final int DO_REVERSE_FLAG_MASK

See Also:
  - Constant Field Values

## Constructor Details

### FQZGlobalFlags

public FQZGlobalFlags(ByteBuffer inBuffer)

## Method Details

### isMultiParam

public boolean isMultiParam()

### hasSelectorTable

public boolean hasSelectorTable()

### doReverse

public boolean doReverse()